PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Typedefs | Functions
pasn.h File Reference
`#include <ptlib/sockets.h>`
Include dependency graph for pasn.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | PASNObject
| This class defines the common behviour of all ASN objects. More...
class | PASNInteger
| A descendant of PASNObject which is a simple ASN integer type. More...
class | PASNString
| A descendant of PASNObject which is a simple ASN OctetStr type. More...
class | PASNIPAddress
| A descendant of PASNObject which is an IP address type. More...
class | PASNUnsignedInteger
| A descendant of PASNObject which is an unsigned ASN integer type. More...
class | PASNTimeTicks
| A descendant of PASNObject which is an unsigned ASN time tick type. More...
class | PASNCounter
| A descendant of PASNObject which is an unsigned ASN counter type. More...
class | PASNGauge
| A descendant of PASNObject which is an unsigned ASN guage type. More...
class | PASNObjectID
| A descendant of PASNObject which is an unsigned ASN ObjID type. More...
class | PASNNull
| A descendant of PASNObject which is the NULL type. More...
class | PASNSequence
| A descendant of PASNObject which is the complex sequence type. More...

## Typedefs
typedef PInt32 | PASNInt
typedef DWORD | PASNUnsigned
typedef DWORD | PASNOid

## Functions
| PARRAY (PASNObjectArray, PASNObject)

## Typedef Documentation

typedef PInt32 PASNInt

typedef DWORD PASNOid

typedef DWORD PASNUnsigned

## Function Documentation

PARRAY | ( | PASNObjectArray | ,
|  | PASNObject |
| ) |  |